#include<WinUser.h>
#include"resource.h"

MAINMENU MENU
BEGIN
	POPUP "ファイル(&F)"
	BEGIN
		MENUITEM	"新規(&N)"		IDM_NEW
		MENUITEM	"開く(&O)"		IDM_OPEN
		MENUITEM	"上書き保存(&S)"	IDM_SAVE
		MENUITEM	"名前をつけて保存(&A)" IDM_SAVEAS
		MENUITEM SEPARATOR
		MENUITEM	"SVG出力"		IDM_SVG
		MENUITEM SEPARATOR
		MENUITEM	"終了(&X)"		IDM_EXIT
	END
	MENUITEM	"移動と値の変更"	IDM_SCROLL
	POPUP "モジュール"
	BEGIN
		MENUITEM	"設置"	IDM_MODULE_LOAD
		MENUITEM	"展開"	IDM_MODULE_SAVE
	END
	POPUP "端子設置"
	BEGIN
		MENUITEM	"入力"			IDM_IN_LABEL
		MENUITEM	"出力"			IDM_OUT_LABEL
	END
	MENUITEM	"導線設置"			IDM_CONDUCTOR
	POPUP "演算設置"
	BEGIN
		MENUITEM	"否定"			IDM_NOT
		MENUITEM	"和"			IDM_OR
		MENUITEM	"積"			IDM_AND
		MENUITEM	"和の否定"		IDM_NOR
		MENUITEM	"積の否定"		IDM_NAND
		MENUITEM	"入力数変更"	IDM_N_GATEIN
	END
	MENUITEM	"削除"				IDM_ERASE
	MENUITEM	"自動実行"			IDM_AUTO
	POPUP "ヘルプ"
	BEGIN
		MENUITEM	"Astについて"	IDM_VERSION
	END
END

INPUTNUMDLG DIALOGEX 0,0,64,32
STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "入力数"
FONT 9,"ＭＳ　ゴシック",400,0,0x80
BEGIN
	EDITTEXT IDC_EDIT_nIN,8,0,12,13,ES_NUMBER
	DEFPUSHBUTTON "OK",IDOK,8,16,50,14
END

LABELDLG DIALOGEX 0,0,256,32
STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "ラベル名"
FONT 9,"ＭＳ　ゴシック",400,0,0x80
BEGIN
	EDITTEXT IDC_EDIT_NAME,8,0,128,16,ES_LEFT
	DEFPUSHBUTTON "OK",IDOK,8,16,50,14
END

AUTODLG DIALOGEX 0,0,256,80
STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "自動実行"
FONT 9,"ＭＳ　ゴシック",400,0,0x80
BEGIN
	CTEXT "クロック入力",-1,0,0,128,12
	CTEXT "変化で停止",-1,128,0,128,12
	LISTBOX IDC_CLOCK_LIST,0,12,128,41,LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_TABSTOP
	LISTBOX IDC_BREAK_LIST,128,12,128,41,LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_TABSTOP
	LTEXT "半周期(ms)",-1,0,56,64,12
	EDITTEXT IDC_CYCLE,48,56,20,12,ES_NUMBER
	DEFPUSHBUTTON "OK",IDOK,96,56,50,14
END

BMP_ONE BITMAP "one.bmp"
BMP_AND BITMAP "and.bmp"
BMP_OR BITMAP "or.bmp"